Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 149845 - Ctrl+Arrow on selected qualifier throws NPE
Ctrl+Arrow on selected qualifier throws NPE
Status: VERIFIED FIXED
Product: uml
Classification: Unclassified
Component: Diagram Class
6.x
All All
: P2 (vote)
: 6.x
Assigned To: _ jyothivasa
issues@uml
65fixes1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-11 01:23 UTC by Peter Lam
Modified: 2008-12-11 22:30 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
ide log file (22.07 KB, text/plain)
2008-10-11 01:24 UTC, Peter Lam
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Lam 2008-10-11 01:23:53 UTC
build 20081010

While verifying issue 149278, NPE come up when I tried to move the selected qualifier using Ctrl+Arrows. See attached
ide log file for complete exception.

java.lang.NullPointerException
	at java.awt.Point.<init>(Point.java:64)
	at org.netbeans.api.visual.widget.Widget.convertLocalToScene(Widget.java:1149)
	at
org.netbeans.modules.uml.drawingarea.view.AlignWithMoveStrategyProvider.getOriginalLocation(AlignWithMoveStrategyProvider.java:203)
	at org.netbeans.modules.uml.drawingarea.actions.MoveNodeKeyAction.keyPressed(MoveNodeKeyAction.java:108)
	at org.netbeans.api.visual.action.WidgetAction$Chain.keyPressed(WidgetAction.java:923)
	at org.netbeans.api.visual.widget.SceneComponent$Operator$10.operate(SceneComponent.java:595)
	at org.netbeans.api.visual.widget.SceneComponent.processParentOperator(SceneComponent.java:424)
	at org.netbeans.api.visual.widget.SceneComponent.processKeyOperator(SceneComponent.java:500)
Comment 1 Peter Lam 2008-10-11 01:24:33 UTC
Created attachment 71589 [details]
ide log file
Comment 2 _ jyothivasa 2008-10-13 18:59:40 UTC
Upgrading to P1 since node selection is not possible after encountering this bug.
Comment 3 _ jyothivasa 2008-10-13 19:04:52 UTC
Fixed
http://hg.netbeans.org/uml-main/rev/0e558d07ec82
Comment 4 _ jyothivasa 2008-10-13 21:30:37 UTC
Reviewed
Comment 5 Quality Engineering 2008-10-14 06:01:47 UTC
Integrated into 'main-golden', will be available in build *200810140201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/0e558d07ec82
User: jyothivasa@netbeans.org
Log: Fix for #149845 Ctrl+Arrow on qualifier throws NPE
Comment 6 Peter Lam 2008-10-14 23:32:18 UTC
verified in NB 6.5 RC1 build 200810141115.
Also verified in the local UML daily build 20081014 that the same exception still came up.
Comment 7 _ jyothivasa 2008-10-15 00:49:37 UTC
http://hg.netbeans.org/uml-main/rev/b3a2b2d0c049
Comment 8 George Vasick 2008-10-15 14:48:03 UTC
Code reviewed by Jyothi and Sheryl yesterday.
Comment 9 Quality Engineering 2008-10-15 16:20:32 UTC
Integrated into 'main-golden', will be available in build *200810151401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/b3a2b2d0c049
User: jyothivasa@netbeans.org
Log: Fix for #149845 Ctrl+Arrow on Association Qualifier throws NPE
Comment 10 George Vasick 2008-10-15 18:23:10 UTC
Closing and reopening the diagram after the exception re-enables node traversal.  Can this bug be downgraded to P2 and
added to patch1?

Thanks,
George
Comment 11 _ jyothivasa 2008-10-15 18:45:14 UTC
Downgrading it to P2 since it is a corner-case use case (happens only using keyboard move keys, mouse works fine) and
has a workaround of closing and re-opening the diagram to continue working with the IDE.
Also removing the keyword 65_HR_FIX.. since it need not be ported to release65 and can be in the next patch.
Comment 12 Peter Lam 2008-10-15 18:52:52 UTC
yeah, the workaround seems to work fine. I'm ok with p2 and be in the patch.
Comment 13 Peter Lam 2008-10-15 19:34:45 UTC
the fix has been verified in trunk build 200810151401
Comment 14 rbalada 2008-11-13 13:03:07 UTC
I've transplanted the changeset http://hg.netbeans.org/main/rev/b3a2b2d0c049 into release65_fixes as
http://hg.netbeans.org/release65_fixes/rev/0c3cf38c7c86

The changeset http://hg.netbeans.org/main/rev/0e558d07ec82 was already part release65_fixes repository.
Comment 15 Peter Lam 2008-12-02 23:05:05 UTC
verified on actual builds in release65_fixes.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo